global:
  #castlemock
  # castlemock_url: "https://castlemock.ecc-dev.progressoft.cloud/castlemock/api/rest/core/project/rest/import"
  # castlemock_username: admin
  # castlemock_password: admin
  castlemock_url: "{{ tpl .Values.global.castlemock_url . }}"
  castlemock_username: "{{ tpl .Values.global.castlemock_username . }}"
  castlemock_password: "{{ tpl .Values.global.castlemock_password . }}"
  devMode:
    enabled: false
    dbtool_full_image: "progressoft/dbtool:v1.3.0"
    env: ""
  #baseDomainForIstio: ecc-dev.progressoft.cloud
  #baseDomainForIstio: "{{ tpl .Values.global.baseDomainForIstio . }}"

  ## Enabled Services
  istio_enabled: false
  ps_security_enabled: false
  core_enabled: true
  frontend_enabled: true
  sim_enabled: false
  reporting_enabled: true
  ftp_enabled: true
  castlemock_enabled: true
  systemRepo: harbor.progressoft.io/sierra
  systemPullSecrets:
    - name: harbor-pull-secret
  #baseDomain: ecc-dev-ing.progressoft.cloud
  #currency: "AED"
  #backend_url: "https://{{ .Release.Name }}-core.{{ .Values.global.baseDomain }}"
  central_simulator_url: "https://{{ .Release.Name }}-sim.{{ .Values.global.baseDomain }}"
  # vault:
  #   enabled: false
  #   vault_host: https://central-vault.ecc-dev.progressoft.cloud/

  # keep these as a templates it will be overwrite by profile
  database:
    dbVendor: "oracle"
    host: "central-oracle-db-19c-others.infra-services"
    port: "1521"
    instance: "EE.oracle.docker"
    dbDriver: "oracle.jdbc.OracleDriver"
    createSchemas: true
    password: ps_sec_sierra
  #   url: ""
  #   driverClass: ""
  #   hibernateDialect: ""

  ## Security Configs
  ps_security_service_name: ps-security
  #ps_security_url:                 ""
  #backend_url:                     ""
  #pssecurity_url:                  "https://central-ps-security-security.ecc-dev-ing.progressoft.cloud" 
  backend_url: https://{{ .Release.Namespace }}-core.{{ .Values.global.baseDomain }}
  #pssecurity_url: https://{{ .Release.Namespace }}-security.{{ .Values.global.baseDomain }}
  #pssecurity_url: https://central-ps-security-security.ecc-dev-ing.progressoft.cloud

  ## Basic Services tags
  #images_tag: latest
  # prompt_checkTag: 230330-a67582ce
  core_tag: "{{ .Values.global.prompt_checkTag }}"
  sim_tag: "{{ .Values.global.prompt_checkTag }}"
  frontend_tag: "{{ .Values.global.prompt_checkTag }}"
  ftp_tag: "latest"
  # core_tag: "{{ .Values.global.images_tag }}"
  # sim_tag: "{{ .Values.global.images_tag }}"
  # frontend_tag: "{{ .Values.global.images_tag }}"
  small_resources: &small_resources
    limits:
      cpu: 200m
      memory: 128Mi
    requests:
      cpu: 50m
      memory: 32Mi
  medium_resources: &medium_resources
    limits:
      cpu: 1500m
      memory: 1280Mi
    requests:
      cpu: 50m
      memory: 512Mi
  large_resources: &large_resources
    limits:
      cpu: 3000m
      memory: 3048Mi
    requests:
      cpu: 50m
      memory: 512Mi
  prompt_checkTag: v1.6.0
##############################
### Services Configuration ###
##############################
ps-security:
  dbSecret:
    enabled: true
  database:
    dbSchema: true
    dbVendor: "oracle"
    host: "central-oracle-db-19c-others.infra-services"
    url: "jdbc:oracle:thin:@central-oracle-db-19c-others.infra-services:1521/EE"
    port: "1521"
    instance: "EE.oracle.docker"
    dbDriver: "oracle.jdbc.OracleDriver"
    createSchemas: true
    password: ps_sec_sierra
    username: ps_sec_sierra
    existingSecret: ""
    existingSecretKey: ""
  extraEnv:
    REALM_NAME: prompt-check-security
    keycloak.import: "/realm/prompt-check-security.json"
    logging.pattern.level: "[%mdc{trace_id}:%mdc{span_id}:%mdc{trace_flags}] %5p"
    otel.exporter.otlp.endpoint: http://signoz-otel-collector.monitoring:4317
    otel.logs.exporter: otlp
    otel.metrics.exporter: otlp
    otel.resource.attributes: service.name={{ .Release.Namespace }}-{{ .Chart.Name }}
    JAVA_TOOL_OPTIONS: "-Duser.timezone=Asia/Amman -javaagent:/opentelemetry/opentelemetry-javaagent.jar"
  extraVolumes: |
    - name: tz
      hostPath:
        path: "/usr/share/zoneinfo/Asia/Amman"
    - name: ps-security-realms
      configMap:
        name: ps-security-realms
        defaultMode: 0777
  extraVolumeMounts: |
    - name: tz
      mountPath: /etc/localtime
    - name: ps-security-realms
      mountPath: /realm/
  injectEnvFrom: |-
    - secretRef:
        name: "{{ .Chart.Name }}"
  ingress:
    enabled: true
    host: "{{ .Release.Name }}-security.{{ .Values.global.baseDomain }}"
core:
  otel_enabled: true
  extraEnv:
    backend_url: https://{{ .Release.Namespace }}-core.{{ .Values.global.baseDomain }}
    # ps_security_url: https://{{ .Release.Namespace }}-security.{{ .Values.global.baseDomain }}
    #pssecurity_url: https://{{ .Release.Namespace }}-security.{{ .Values.global.baseDomain }}
    pssecurity_url: https://{{ .Values.global.pssecurity_url }}
    CENTRAL_SIMULATOR_URL: https://{{ .Release.Namespace }}-sim.{{ .Values.global.baseDomain }}
  dbSecret:
    enabled: false
  resources: *large_resources
  ingress:
    enabled: true
    host: "{{ .Release.Name }}-core.{{ .Values.global.baseDomain }}"
ftp:
  otel_enabled: true
  extraEnv:
    backend_url: https://{{ .Release.Namespace }}-core.{{ .Values.global.baseDomain }}
    pssecurity_url: https://{{ .Values.global.pssecurity_url }}
    CENTRAL_SIMULATOR_URL: https://{{ .Release.Namespace }}-sim.{{ .Values.global.baseDomain }}
  dbSecret:
    enabled: false
  resources: *large_resources
  ingress:
    enabled: true
    host: "{{ .Release.Name }}-ftp.{{ .Values.global.baseDomain }}"
sim:
  otel_enabled: true
  dbSecret:
    enabled: false
  resources: *medium_resources
  ingress:
    enabled: true
    host: "{{ .Release.Name }}-sim.{{ .Values.global.baseDomain }}"
  injectPodEnv:
    spring.liquibase.enabled: "false"
    spring.profiles.active: prod,rbac
    db_vendor: "{{ .Values.global.database.dbVendor }}"
  extraEnv:
    authorization.server.url: https://{{ .Values.global.pssecurity_url }}/auth
    authorization.realm: "bank"
    authorization.clientId: "bank-client"
    authorization.clientSecret: "secret"
    failed.message.max.retry: "5"
    keycloak.ssl-required: none
    saa.soap.integration.enabled: "false"
    bank.gateway.produced.job.enabled: "true"
    backend_url: https://{{ .Release.Namespace }}-core.{{ .Values.global.baseDomain }}
    pssecurity_url: https://{{ .Values.global.pssecurity_url }}
frontend:
  otel_enabled: true
  dbSecret:
    enabled: false
  resources: *medium_resources
  ingress:
    enabled: true
    host: "{{ .Release.Name }}-frontend.{{ .Values.global.baseDomain }}"
  injectPodEnv:
    spring.liquibase.enabled: "false"
    spring.profiles.active: prod,rbac
    db_vendor: "{{ .Values.global.database.dbVendor }}"
  extraEnv:
    authorization.server.url: https://{{ .Values.global.pssecurity_url }}/auth
    authorization.realm: "bank"
    authorization.clientId: "bank-client"
    authorization.clientSecret: "secret"
    failed.message.max.retry: "5"
    keycloak.ssl-required: none
    saa.soap.integration.enabled: "false"
    bank.gateway.produced.job.enabled: "true"
    backend_url: https://{{ .Release.Namespace }}-core.{{ .Values.global.baseDomain }}
    pssecurity_url: https://{{ .Values.global.pssecurity_url }}
    CENTRAL_SIMULATOR_URL: https://{{ .Release.Namespace }}-sim.{{ .Values.global.baseDomain }}
reporting:
  dbSecret:
    enabled: true
  database:
    dbSchema: true
    dbVendor: "{{ tpl .Values.global.database.dbVendor . }}"
    host: "{{ tpl .Values.global.database.host . }}"
    url: "{{ tpl .Values.global.db_url . }}"
    port: "{{ tpl .Values.global.database.port . }}"
    instance: "{{ tpl .Values.global.database.instance . }}"
    dbDriver: "{{ tpl .Values.global.database.dbDriver . }}"
    password: "" # it will read from helper .Values.database.password ( under reporting block on profile)
    username: "" # it will read from helper .Values.database.username ( under reporting block on profile)
    createSchemas: true
    existingSecret: ""
    existingSecretKey: ""
  extraEnv:
    db_username: "{{ tpl .Values.global.db_username . }}"
    db_password: "{{ tpl .Values.global.db_password . }}"
    otel.exporter.otlp.endpoint: http://signoz-otel-collector.monitoring:4317
    otel.logs.exporter: otlp
    otel.metrics.exporter: otlp
    otel.resource.attributes: service.name={{ .Release.Namespace }}-{{ .Chart.Name }}
    keycloak.base.url: "{{ tpl .Values.global.pssecurity_url . }}"
    allowed.cors.origins: https://{{ .Release.Name }}.{{ .Values.global.baseDomain }}
    jwt.authorization.enabled: "false"
    # jwt.cert: ""
    db_vendor: "{{ tpl .Values.global.database.dbVendor . }}"
    server.max-http-header-size: "1048576"
    spring.cloud.vault.kv.application-name: "{{.Release.Name}}-{{.Chart.Name}}"
    spring.cloud.vault.application-name: "{{.Release.Name}}-{{.Chart.Name}}"
    spring.cloud.vault.uri: "{{ .Values.global.vault_url }}"
    spring.cloud.vault.kubernetes.role: vault-role
    spring.cloud.vault.authentication: "kubernetes"
    spring.cloud.vault.token: ""
    spring.cloud.vault.fail-fast: "true"
    spring.cloud.vault.enabled: "false"
    spring.cloud.bootstrap.enabled: "false"
  injectEnvFrom: ""
  ingress:
    enabled: true
    host: "{{ .Release.Name }}-reporting.{{ .Values.global.baseDomain }}"
